PHP is amongst the most commonly used general-purpose server-side programming languages. It is pretty popular as it’s free software, which can be used to build responsive sites like community sites, e-shops or school websites instead of static HTML-based websites. A PHP module must be enabled on the server where a PHP-driven site is hosted so that its code can be read. Because there are no license taxes for this kind of module and the language itself provides limitless possibilities for the web applications that you build, there are hundreds of millions of PHP websites. Also, there are many open-source PHP-based scripts, which you can use for your sites without needing to possess any programming knowledge. Since there are a couple of PHP versions, you should check whether the exact same version that you used while building your website is available on the server as well.

PHP 4, PHP 5 and PHP 7 Support in Hosting

With our Linux hosting, you will be able to choose which version of PHP will be enabled for your shared hosting account, since we support multiple versions. With as little as one mouse click, you’ll be able to switch between PHP 4, 5, 7 and anytime a new version is unveiled in the future, we will add it to the Hepsia Control Panel without removing the earlier ones. Thus, you’ll be able to host all the sites that you have built over the years. In contrast to lots of other companies, we will not compel you to update such sites, as a script may be outdated, but this does not mean that it is insecure as you may have implemented modifications to its code to fill security breaches. For your convenience, you’ll even be able to pick a different PHP version for each site hosted in your web hosting account.

PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Servers

We’re staunch in our opinion that years spent developing a website should not go down the tubes, which implies that if you get a semi-dedicated server from our company, you will be able to use any script, regardless of whether it is new or old. In stark contrast with many hosting vendors, we support a number of different PHP versions on our state-of-the-art cloud platform – 4, 5 and 7. Not only will you have the ability to enable the needed version through your Hepsia Control Panel, but you will also have the opportunity to choose a different version for each single website. This can be done merely by putting an .htaccess file inside the root folder of the given site. You can change the version either for a single site or for the account itself and the new settings will be applied in just several minutes. With our hosting services, you can be certain that you won’t ever have any website incompatibility difficulties.